Bug 241748 - Rhythmbox crashes immediately after start
Rhythmbox crashes immediately after start
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: Desktop, Reopened
Depends On: 241661
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-30 02:21 EDT by A S Alam
Modified: 2013-07-02 20:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-07 20:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bt with glib/gtk (162.22 KB, text/plain)
2007-05-30 23:16 EDT, A S Alam
no flags Details
with Fatal Warning (159.40 KB, text/plain)
2007-05-31 05:52 EDT, A S Alam
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 442236 None None None Never

  None (edit)
Description A S Alam 2007-05-30 02:21:25 EDT
+++ This bug was initially created as a clone of Bug #241661 +++

Description of problem:


Rhythmbox crashes immediately after start on Fedora Core 5


Version-Release number of selected component (if applicable):

rhythmbox-0.9.4.1-1.fc5.1
gstreamer-0.10.4-1
glibc-2.4-11

How reproducible:

always

Steps to Reproduce:

1. Start Rhythmbox (FC5 must be up to date)
2. Watch it crash


Additional info:

I realize that FC5 is near its end of life, but it would be nice to leave a
working Rhythmbox in the repositories.

-- Additional comment from bnocera@redhat.com on 2007-05-29 09:44 EST --
I'll need a backtrace of the crash though. See
http://fedoraproject.org/wiki/StackTraces for details on how to gather it.
Comment 1 A S Alam 2007-05-30 02:22:51 EDT
Devel - bt
----------
Distribution: Fedora release 7 (Moonshine)
Gnome Release: 2.19.2 2007-05-19 (Red Hat, Inc)
BugBuddy Version: 2.18.0

System: Linux 2.6.21-1.3173.fc8 #1 SMP Fri May 18 17:35:17 EDT 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: No
Accessibility: Enabled
GTK+ Theme: Clearlooks
Icon Theme: Fedora

Memory status: size: 93097984 vsize: 93097984 resident: 34848768 share: 24002560
rss: 34848768 rss_rlim: 4294967295
CPU usage: start_time: 1180491561 rtime: 69 utime: 62 stime: 7 cutime:2 cstime:
0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/rhythmbox'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208633632 (LWP 11566)]
0x004fa402 in __kernel_vsyscall ()
#0  0x004fa402 in __kernel_vsyscall ()
#1  0x008b4c5b in waitpid () from /lib/libpthread.so.0
#2  0x059f8a46 in ?? () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00f10e5a in gtk_icon_set_render_icon ()
   from /usr/lib/libgtk-x11-2.0.so.0
#5  0x0108ea2e in gtk_widget_render_icon () from /usr/lib/libgtk-x11-2.0.so.0
#6  0x00f276a1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#7  0x00f276e0 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#8  0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
#9  0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#10 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
#11 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#12 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#13 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#14 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#15 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#16 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#17 0x001739e5 in get_icon_width (entry=<value optimized out>, 
    icon_pos=<value optimized out>) at sexy-icon-entry.c:245
#18 0x00173a70 in sexy_icon_entry_size_request (widget=0x8fbc028, 
    requisition=0x8fbc044) at sexy-icon-entry.c:400
#19 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
#20 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#21 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
#22 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#23 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#24 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#25 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#26 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#27 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#28 0x00f07041 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#29 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
#30 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#31 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
#32 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#33 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#34 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#35 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#36 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#37 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#38 0x00ec9dca in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#39 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
#40 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#41 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
#42 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#43 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#44 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#45 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#46 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#47 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#48 0x00e54195 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#49 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
#50 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#51 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
#52 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#53 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#54 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#55 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#56 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#57 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#58 0x00fe3d60 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#59 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
#60 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#61 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
#62 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#63 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#64 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#65 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#66 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#67 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#68 0x01082231 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#69 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
#70 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#71 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
#72 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#73 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#74 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#75 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#76 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#77 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#78 0x00f07815 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#79 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
#80 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#81 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
#82 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#83 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#84 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#85 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#86 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#87 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#88 0x01082231 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#89 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
#90 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#91 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
#92 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#93 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#94 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#95 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#96 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#97 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
#98 0x0109a5f5 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#99 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
#100 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#101 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#102 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#103 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#104 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
#105 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#106 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#107 0x0108db36 in gtk_widget_size_request ()
   from /usr/lib/libgtk-x11-2.0.so.0
#108 0x01099bf5 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#109 0x010a2144 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#110 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#111 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
#112 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#113 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
#114 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#115 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
#116 0x010905f4 in gtk_widget_show () from /usr/lib/libgtk-x11-2.0.so.0
#117 0x08064278 in rb_shell_set_visibility (shell=0x8e38000, visible=1, 
    force=<value optimized out>) at rb-shell.c:1549
#118 0x08069cde in rb_shell_constructor (type=149113432, 
    n_construct_properties=7, construct_properties=0x8e26678)
    at rb-shell.c:1409
#119 0x00d6067b in g_object_newv () from /lib/libgobject-2.0.so.0
#120 0x00d61309 in g_object_new_valist () from /lib/libgobject-2.0.so.0
#121 0x00d61410 in g_object_new () from /lib/libgobject-2.0.so.0
#122 0x080650d2 in rb_shell_new (argc=1, argv=0xbfa6ec54, no_registration=0, 
    no_update=0, dry_run=0, b=0x0, playlists=0x0) at rb-shell.c:984
#123 0x08060c82 in main (argc=1, argv=0xbfa6ec54) at main.c:253

Thread 1 (Thread -1208633632 (LWP 11566)):
#0  0x004fa402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x008b4c5b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x059f8a46 in ?? () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00f10e5a in gtk_icon_set_render_icon ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#5  0x0108ea2e in gtk_widget_render_icon () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#6  0x00f276a1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#7  0x00f276e0 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#8  0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#9  0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#10 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#11 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#12 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#13 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
No symbol table info available.
#14 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#15 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#16 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#17 0x001739e5 in get_icon_width (entry=<value optimized out>, 
    icon_pos=<value optimized out>) at sexy-icon-entry.c:245
	requisition = {width = 12481048, height = 29259860}
	menu_icon_width = 1711104
	width = <value optimized out>
#18 0x00173a70 in sexy_icon_entry_size_request (widget=0x8fbc028, 
    requisition=0x8fbc044) at sexy-icon-entry.c:400
	icon_width = <value optimized out>
	entry = (SexyIconEntry *) 0x8fbc028
	icon_widths = 0
	i = 1
#19 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#20 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#21 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#22 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#23 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#24 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
No symbol table info available.
#25 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#26 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#27 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#28 0x00f07041 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#29 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#30 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#31 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#32 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#33 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#34 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
No symbol table info available.
#35 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#36 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#37 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#38 0x00ec9dca in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#39 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#40 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#41 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#42 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#43 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#44 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
No symbol table info available.
#45 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#46 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#47 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#48 0x00e54195 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#49 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#50 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#51 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#52 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#53 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#54 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
No symbol table info available.
#55 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#56 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#57 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#58 0x00fe3d60 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#59 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#60 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#61 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#62 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#63 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#64 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
No symbol table info available.
#65 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#66 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#67 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#68 0x01082231 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#69 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#70 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#71 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#72 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#73 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#74 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
No symbol table info available.
#75 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#76 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#77 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#78 0x00f07815 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#79 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#80 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#81 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#82 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#83 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#84 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
No symbol table info available.
#85 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#86 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#87 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#88 0x01082231 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#89 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#90 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#91 0x00d59ebc in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#92 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#93 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#94 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
No symbol table info available.
#95 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#96 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#97 0x0108db36 in gtk_widget_size_request () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#98 0x0109a5f5 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#99 0x00d67e43 in g_cclosure_marshal_VOID__BOXED ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#100 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#101 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#102 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#103 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#104 0x00d6f42e in g_signal_emit_by_name () from /lib/libgobject-2.0.so.0
No symbol table info available.
#105 0x00fc7598 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#106 0x00fc780a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#107 0x0108db36 in gtk_widget_size_request ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#108 0x01099bf5 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#109 0x010a2144 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#110 0x00d677e9 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#111 0x00d585c9 in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#112 0x00d59dd3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#113 0x00d6bd9a in ?? () from /lib/libgobject-2.0.so.0
No symbol table info available.
#114 0x00d6cd73 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#115 0x00d6d019 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#116 0x010905f4 in gtk_widget_show () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#117 0x08064278 in rb_shell_set_visibility (shell=0x8e38000, visible=1, 
    force=<value optimized out>) at rb-shell.c:1549
	x = <value optimized out>
	y = <value optimized out>
	width = <value optimized out>
	height = <value optimized out>
	current_visible = <value optimized out>
	__FUNCTION__ = "rb_shell_set_visibility"
#118 0x08069cde in rb_shell_constructor (type=149113432, 
    n_construct_properties=7, construct_properties=0x8e26678)
    at rb-shell.c:1409
	shell = (RBShell *) 0x8e38000
	__FUNCTION__ = "rb_shell_constructor"
#119 0x00d6067b in g_object_newv () from /lib/libgobject-2.0.so.0
No symbol table info available.
#120 0x00d61309 in g_object_new_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#121 0x00d61410 in g_object_new () from /lib/libgobject-2.0.so.0
No symbol table info available.
#122 0x080650d2 in rb_shell_new (argc=1, argv=0xbfa6ec54, no_registration=0, 
    no_update=0, dry_run=0, b=0x0, playlists=0x0) at rb-shell.c:984
	pathname = 0x8e34a10 "/home/aalam/.gnome2/rhythmbox/playlists.xml"
#123 0x08060c82 in main (argc=1, argv=0xbfa6ec54) at main.c:253
	program = (GnomeProgram *) 0x8d8fc10
	session_bus = (DBusGConnection *) 0x8df859c
	error = (GError *) 0x0
	rb_shell = <value optimized out>
	new_argv = (char **) 0x8d80600
	context = (GOptionContext *) 0x8e180a8
	options = {{long_name = 0x80ed2a9 "debug", short_name = 100 'd', 
    flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x8106728, 
    description = 0x80d7534 "Enable debug output", arg_description = 0x0}, {
    long_name = 0x80d7548 "debug-match", short_name = 68 'D', flags = 0, 
    arg = G_OPTION_ARG_STRING, arg_data = 0x810672c, 
    description = 0x80d76d4 "Enable debug output matching a specified string",
arg_description = 0x0}, {long_name = 0x80d7554 "no-update", 
    short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_NONE, 
    arg_data = 0x8106744, 
    description = 0x80d7704 "Do not update the library with file changes", 
    arg_description = 0x0}, {long_name = 0x80d755e "no-registration", 
    short_name = 110 'n', flags = 0, arg = G_OPTION_ARG_NONE, 
    arg_data = 0x8106730, 
    description = 0x80d756e "Do not register the shell", 
    arg_description = 0x0}, {long_name = 0x80d7588 "dry-run", 
    short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_NONE, 
    arg_data = 0x8106740, 
    description = 0x80d7730 "Don't save any data permanently (implies
--no-registration)", arg_description = 0x0}, {long_name = 0x80d7590
"rhythmdb-file", 
    short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_STRING, 
    arg_data = 0x810673c, 
    description = 0x80d759e "Path for database file to use", 
    arg_description = 0x0}, {long_name = 0x80d75bc "playlists-file", 
    short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_STRING, 
    arg_data = 0x8106738, 
    description = 0x80d776c "Path for playlists file to use", 
    arg_description = 0x0}, {long_name = 0x80d9475 "quit", 
    short_name = 113 'q', flags = 0, arg = G_OPTION_ARG_NONE, 
    arg_data = 0x8106734, description = 0x80d75cb "Quit Rhythmbox", 
    arg_description = 0x0}, {long_name = 0x80ddbfe "", short_name = 0 '\0', 
    flags = 0, arg = G_OPTION_ARG_STRING_ARRAY, arg_data = 0x8106748, 
    description = 0x0, arg_description = 0x80d75da "[URI...]"}, {
    long_name = 0x0, short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_NONE, 
    arg_data = 0x0, description = 0x0, arg_description = 0x0}}
	__FUNCTION__ = "main"
#0  0x004fa402 in __kernel_vsyscall ()
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors (66907 sec old) ---------------------
** (gnibbles:6830): WARNING **: failure: no device event controller found.
** (gnibbles:6830): WARNING **: failure: no device event controller found.
** (gnibbles:6830): WARNING **: failure: no device event controller found.
** (gnibbles:6830): WARNING **: failure: no device event controller found.
...Too much output, ignoring rest...
--------------------------------------------------
Comment 2 A S Alam 2007-05-30 02:24:05 EDT
package version:
rhythmbox-0.11.0-4.fc8
gtk2-2.11.0-1.fc8
Comment 3 Bastien Nocera 2007-05-30 06:41:12 EDT

*** This bug has been marked as a duplicate of 241661 ***
Comment 4 A S Alam 2007-05-30 23:16:08 EDT
Created attachment 155770 [details]
Bt with glib/gtk
Comment 5 A S Alam 2007-05-30 23:17:32 EDT
as terminal message is different as following (in Devel)
-----------
rhythmbox:3158): GdkPixbuf-CRITICAL **: gdk_pixbuf_new_from_file: assertion
`filename != NULL' failed

(rhythmbox:3158): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT
(object)' failed
---------

and after removing 
~/.gnome2/rhythmbox and
~/.gconf/apps/rhythmbox
still application, crashed, so Opening this bug again
Comment 6 Bastien Nocera 2007-05-31 04:48:22 EDT
Could you please gather the backtrace of the crash when running with
"--g-fatal-warnings" as an argument?
Comment 7 A S Alam 2007-05-31 05:52:43 EDT
Created attachment 155787 [details]
with Fatal Warning
Comment 8 Bastien Nocera 2007-05-31 06:23:13 EDT
Looks like a busted icon theme. Which icon theme are you using? Do you get the
same problem with "Bluecurve"? Could you run "gtk-update-icon-cache -f" as root
and try again?

#6  0x00340e4b in IA__g_return_if_fail_warning (log_domain=0x9a6aa0 "GdkPixbuf",
pretty_function=0x9a7d9b "gdk_pixbuf_new_from_file", 
    expression=0x9a70da "filename != NULL") at gmessages.c:532
#7  0x0099a6e1 in IA__gdk_pixbuf_new_from_file (filename=0x0, error=0xa203eb4)
at gdk-pixbuf-io.c:847
#8  0x06e639c2 in icon_info_ensure_scale_and_pixbuf (icon_info=0xa203e90,
scale_only=0) at gtkicontheme.c:2833
#9  0x06e63ded in IA__gtk_icon_info_load_icon (icon_info=0xa203e90,
error=0xbfa0f4e0) at gtkicontheme.c:2908
#10 0x06e65cde in IA__gtk_icon_theme_load_icon (icon_theme=0x9acf108,
icon_name=0x7035c49 "gtk-clear", size=16, flags=0, error=0xbfa0f4e0)
    at gtkicontheme.c:1505
#11 0x06e61c95 in IA__gtk_icon_set_render_icon (icon_set=0x9be7390,
style=0x9baa128, direction=GTK_TEXT_DIR_LTR, state=GTK_STATE_NORMAL, 
    size=GTK_ICON_SIZE_MENU, widget=0x9ac4a38, detail=0x0) at gtkiconfactory.c:1463
Comment 9 A S Alam 2007-05-31 07:01:44 EDT
ok, if change theme to "Bluecurve", Only then it works otherwise it crashes with
Default Fedora theme also.
Comment 10 Bastien Nocera 2007-05-31 10:45:55 EDT
Which is the "default" fedora theme on FC-5?

It's most definitely a bug in that icon theme for not providing a fallback, or a
bug in GTK+ for crashing in those cases.
Comment 11 A S Alam 2007-06-01 03:15:32 EDT
"ClearLooks" modified with "name=Fedora"
Comment 12 Bastien Nocera 2007-06-01 11:00:09 EDT
Reassigning to gtk2, as it's gtk+ that's crashing, and setting the version properly.
Comment 13 A S Alam 2007-06-02 01:28:23 EDT
sorry, I have no FC5, but devel version with gtk2 latest

gtk2-2.11.0-1.fc8
Comment 14 Matthias Clasen 2008-02-06 21:37:12 EST
If you are still seeing this, it would still be interesting to see if it goes
away if you 

a) run gtk-update-icon-cache -f on all the involved icon themes

b) remove the icon-theme.cache files of all involved icon themes
Comment 15 Bug Zapper 2008-05-13 22:57:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Brennan Ashton 2008-06-07 20:35:01 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.